Subject: [MLS] More virtual client changes
From: Konrad Kohbrok <[email-masked]>
To: MLS List <[email-masked]>
Date: Thu, 11 Jun 2026 08:41:57 +0200
List-Id: Messaging Layer Security <mls.ietf.org>

Hi everyone,

As my implementation progresses, I’ve filed more PRs against the virtual clients draft with various nits and improvements. I’ve already gotten some useful feedback and would like to merge the PRs early next week.

To keep them reviewable, the PRs are stacked s.t. they can be reviewed in the following order: #22 -> #20 -> #19 -> #21 -> #17 -> #18

Please take a look and comment. I’ll keep track of the changes and if there’s time at the next meeting I can summarise the current state of the draft.

Cheers,
Konrad